Subject: Re: bug#38133: 27.0.50; compiling master and core dump with r139382-1

From: Eli Zaretskii <[email-masked]>
Date: Fri, 08 Nov 2019 19:08:07 +0200

> From: andrés ramírez <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 08 Nov 2019 16:40:00 +0000
> 
> Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
> 0x006283d5 in xlw_create_menubar (instance=0xd122f0) at lwlib-Xlw.c:139
> 139	  XtSetArg (al[ac], XtNmenu, instance->info->val); ac++;

OK, so which of these caused the crash?  Is one of them a NULL pointer
or an invalid pointer, or is ac a garbled value?

> Eli> LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now
> >> 
> >> No. I am just packaging master with default flags but no LDFLAGS
> >> especified on the script (I have re-checked it).
> 
> Eli> So where do they come from?  Do you see them in src/Makefile?
> 
> Yes. You are Right. Should I remove then?

I'd suggest to try, yes.